# Uses of Enum Class
org.bukkit.Sound

Packages that use Sound
Package
Description
com.destroystokyo.paper.block
io.papermc.paper.entity
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Sound in com.destroystokyo.paper.block

Methods in com.destroystokyo.paper.block that return Sound
Modifier and Type
Method
Description
`@NotNull Sound`
BlockSoundGroup.`getBreakSound()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SoundGroup.getBreakSound()`
`@NotNull Sound`
BlockSoundGroup.`getFallSound()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SoundGroup.getFallSound()`
`@NotNull Sound`
BlockSoundGroup.`getHitSound()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SoundGroup.getHitSound()`
`@NotNull Sound`
BlockSoundGroup.`getPlaceSound()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SoundGroup.getPlaceSound()`
`@NotNull Sound`
BlockSoundGroup.`getStepSound()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SoundGroup.getStepSound()`

## Uses of Sound in io.papermc.paper.entity

Methods in io.papermc.paper.entity that return Sound
Modifier and Type
Method
Description
`@NotNull Sound`
Bucketable.`getPickupSound()`
Gets the sound that is played when this entity is picked up in a bucket.

## Uses of Sound in org.bukkit

Fields in org.bukkit with type parameters of type Sound
Modifier and Type
Field
Description
`static final Registry<Sound>`
Registry.`SOUNDS`
Sound keys.
Methods in org.bukkit that return Sound
Modifier and Type
Method
Description
`@NotNull Sound`
SoundGroup.`getBreakSound()`
Gets the corresponding breaking sound for this group.
`@NotNull Sound`
SoundGroup.`getFallSound()`
Gets the corresponding fall sound for this group.
`@NotNull Sound`
SoundGroup.`getHitSound()`
Gets the corresponding hit sound for this group.
`@NotNull Sound`
SoundGroup.`getPlaceSound()`
Gets the corresponding place sound for this group.
`@NotNull Sound`
SoundGroup.`getStepSound()`
Gets the corresponding step sound for this group.
`static Sound`
Sound.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Sound[]`
Sound.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type Sound
Modifier and Type
Method
Description
`void`
World.`playSound(@NotNull Entity entity, @NotNull Sound sound, float volume, float pitch)`
Play a Sound at the location of the provided entity in the World.
`void`
World.`playSound(@NotNull Entity entity, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a Sound at the location of the provided entity in the World.
`void`
World.`playSound(@NotNull Location location, @NotNull Sound sound, float volume, float pitch)`
Play a Sound at the provided Location in the World.
`void`
World.`playSound(@NotNull Location location, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a Sound at the provided Location in the World.

## Uses of Sound in org.bukkit.entity

Methods in org.bukkit.entity that return Sound
Modifier and Type
Method
Description
`@Nullable Sound`
Mob.`getAmbientSound()`
Get the `Sound` this mob makes while ambiently existing.
`@NotNull Sound`
Raider.`getCelebrationSound()`
Get the `Sound` this entity will play when celebrating.
`@Nullable Sound`
LivingEntity.`getDeathSound()`
Get the `Sound` this entity will make on death.
`@NotNull Sound`
LivingEntity.`getDrinkingSound(@NotNull ItemStack itemStack)`
Get the `Sound` this entity will make when drinking the given `ItemStack`.
`@NotNull Sound`
LivingEntity.`getEatingSound(@NotNull ItemStack itemStack)`
Get the `Sound` this entity will make when eating the given `ItemStack`.
`@NotNull Sound`
LivingEntity.`getFallDamageSound(int fallHeight)`
Get the `Sound` this entity will make when falling from the given height (in blocks).
`@NotNull Sound`
LivingEntity.`getFallDamageSoundBig()`
Get the `Sound` this entity will make when falling from a large height.
`@NotNull Sound`
LivingEntity.`getFallDamageSoundSmall()`
Get the `Sound` this entity will make when falling from a small height.
`Sound`
AbstractArrow.`getHitSound()`
Gets the sound that is played when this arrow hits an entity.
`@Nullable Sound`
LivingEntity.`getHurtSound()`
Get the `Sound` this entity will make when damaged.
`@NotNull Sound`
Entity.`getSwimHighSpeedSplashSound()`
Get the `Sound` this entity makes when splashing in water at high speeds.
`@NotNull Sound`
Entity.`getSwimSound()`
Get the `Sound` this entity makes while swimming.
`@NotNull Sound`
Entity.`getSwimSplashSound()`
Get the `Sound` this entity makes when splashing in water.
Methods in org.bukkit.entity with parameters of type Sound
Modifier and Type
Method
Description
`void`
Player.`playSound(@NotNull Entity entity, @NotNull Sound sound, float volume, float pitch)`
Play a sound for a player at the location of the entity.
`void`
Player.`playSound(@NotNull Entity entity, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a sound for a player at the location of the entity.
`void`
Player.`playSound(@NotNull Location location, @NotNull Sound sound, float volume, float pitch)`
Play a sound for a player at the location.
`void`
Player.`playSound(@NotNull Location location, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a sound for a player at the location.
`void`
AbstractArrow.`setHitSound(Sound sound)`
Sets the sound that is played when this arrow hits an entity.
`void`
Player.`stopSound(@NotNull Sound sound)`
Stop the specified sound from playing.
`void`
Player.`stopSound(@NotNull Sound sound, @Nullable SoundCategory category)`
Stop the specified sound from playing.

## Uses of Sound in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Sound
Modifier and Type
Method
Description
`Sound`
EntityDeathEvent.`getDeathSound()`
Get the sound that the entity makes when dying
Methods in org.bukkit.event.entity with parameters of type Sound
Modifier and Type
Method
Description
`void`
EntityDeathEvent.`setDeathSound(Sound sound)`
Set the sound that the entity makes when dying